<?php
/*
Plugin Name: einfacher bestellen
Plugin URI: http://www.it-in-a-box.com/
Description: Kartenbestellung auf den terminseiten
Author: Norbert Felgendreher
Version: 1.0
Author URI: http://www.it-in-a-box.com/ 
*/

if ( !function_exists('add_action') ) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}



if ( !class_exists('Einfacher_bestellen') ) {   
  
    class Einfacher_bestellen {  
		private $nonce;
        /**   
        * @var  array  $customFields  Defines the custom fields available  
        */   
        /* Constructor  */  
        function einfacher_bestellen() {  
		
            add_action('wp_print_styles', array (&$this, 'einfacher_styles'));
			add_action('wp_print_scripts', array (&$this,'einfacher_scripts'));
			
			//anderer hook!!!!!!!!!!!!!!!!!!
			add_action('wp_ajax_nopriv_kartenbestellung', array (&$this,'kartenbestellung_callback'));
        }
		function einfacher_scripts() {
		// true: lade skripts am Ende der seite
			
			wp_register_script('simple', WP_PLUGIN_URL.'/einfacher_bestellen/js/bestellen.js', array('jquery', 'jquery-ui-core', 'jquery-ui-dialog'),false,true);
			wp_enqueue_script('simple');
			$this->nonce=wp_create_nonce('kartenbestellung');
			//ajaxurl ins script bei frontend-ajax
			wp_localize_script('simple', 'MyAjax', array( 'ajaxurl' => admin_url( 'admin-ajax.php'),'akt_nonce' => $this->nonce) );
		}
		function einfacher_styles() {
			wp_enqueue_style('jquery-ui-dialog');
			wp_register_style('nf_karten',WP_PLUGIN_URL.'/einfacher_bestellen/css/jquery-ui-1.8.16.custom.css');
			wp_enqueue_style('nf_karten');
			//wp_register_style('nf_test',WP_PLUGIN_URL.'/einfacher_bestellen/css/jquery-test.css');
			//wp_enqueue_style('nf_test');
			//
		}
	
		function kartenbestellung_callback () {
			
			check_ajax_referer('kartenbestellung');
				
			if (class_exists('Kartenbestellung')) {
				
				$Kartenbestellung_dialog = new Kartenbestellung('','');	
			}
			if (method_exists($Kartenbestellung_dialog,'do_kartenbestellung')){
				
				$Kartenbestellung_dialog->do_kartenbestellung($_POST); 
			}
			
			
			die();
		}
    } // End Class   
}
$Einfacher_bestellen = new Einfacher_bestellen();
// End if class exists statement   

?>